RUNDEF Section19
   FOR HOUSIN.COLPRI = 1

/*
CALCULATING THE AVERAGE NUMBER OF PERSONS PER HOUSEHOLD

Program description:
This program produces a list by area of the average number of persons per household.  
*/

DEFINE COUNTY.NPERS AS COUNT PERSON

DEFINE COUNTY.NHH AS COUNT HOUSIN

DEFINE COUNTY.RATIO AS COUNTY.NPERS / COUNTY.NHH
  TYPE REAL
  FOR COUNTY.NHH <> 0
  DECIMALS 2
  
TABLE VERIF AS AREALIST OF COUNTY, COUNTY.NCOUNTY,
  COUNTY.NPERS, COUNTY.NHH, COUNTY.RATIO
  DECIMALS 2
  
/*
Programming notes:
1. This type of indicator makes sense only for private households,
   and that is the reason for the filter in the RUNDEF command.
   
Results:
Code  County Name    NPERS    NHH   RATIO
5     Santa Maria    21432   5290    4,05
6     Santiago        8581   1959    4,38
7     Bolivar        14135   3285    4,30
8     Marbella        3771   1941    1,94
9     Puerto Nuevo    3376   1366    2,47

Comments:
1. The lowest ratio is found in Marbella.
*/
